Browse Source

[Train Only] Add CephAnsibleWarning into upgrade lifecycle environment files.

During the whole FFU, the ceph-ansible 3 package is left in the Undercloud
getting upgraded once the upgrade converge steps finishes. One of the
consequences of leaving ceph-3 running in a RHEL8 system is that the
repository gets lost. Therefore, the ceph-ansible 3 From-repo field is lost,
which is the value checked by ceph-ansible validations.
This patch sets to false the CephAnsibleWrning heat parameter to skip the
ceph-ansible repo validation and sets it back to true during the converge
step, so the validation will be in order when we will run the ceph upgrade
step.

Change-Id: Ie02a3a733f8bce8429c7e693f4e2766b289c66ab
changes/08/744008/6
Jose Luis Franco Arza 1 year ago
committed by Giulio Fidente
parent
commit
d5aff2e17b
  1. 3
      environments/lifecycle/upgrade-converge.yaml
  2. 6
      environments/lifecycle/upgrade-prepare.yaml

3
environments/lifecycle/upgrade-converge.yaml

@ -25,3 +25,6 @@ parameter_defaults:
UpgradeLeappEnabled: false
UpgradeLeappToInstall: []
UpgradeLeappToRemove: []
# After the upgrade converge the ceph upgrade starts.
# We need to reset the ceph-ansible repo validations.
CephAnsibleWarning: true

6
environments/lifecycle/upgrade-prepare.yaml

@ -20,3 +20,9 @@ parameter_defaults:
# OpenStack packages to upgrade with the OS upgrade.
UpgradeLeappToRemove: ['openvswitch2.11','ovn2.11']
UpgradeLeappToInstall: ['openvswitch2.13','ovn2.13']
# Ceph parameters
# As ceph-ansible 3 is kept during the whole upgrade
# but the repository will be lost after the operating
# system upgrade, we need to bypass the ceph ansible
# repo validation to work.
CephAnsibleWarning: false
Loading…
Cancel
Save